import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRSwitchClusterMultiPressOngoingEvent extends _NSObject {
    static alloc(): _MTRSwitchClusterMultiPressOngoingEvent;
    static new(): _MTRSwitchClusterMultiPressOngoingEvent;
    init(): _MTRSwitchClusterMultiPressOngoingEvent;
    newPosition(): _NSNumber;
    setNewPosition$(value: _NSNumber): void;
    currentNumberOfPressesCounted(): _NSNumber;
    setCurrentNumberOfPressesCounted$(value: _NSNumber): void;
}
export interface _MTRSwitchClusterMultiPressOngoingEvent extends _NSCopying {
}
